/*!
 * © 2021 David Vines
 *
 * Creative Commons License
 *
 * This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 */

/* exported Result */
class Result {
	constructor() {
		this._winner = null;
		this._loser = null;
		this._text = [];
	}
	setWinner(winner) {
		this._winner = winner;
	}
	getWinner() {
		return this._winner;
	}
	setLoser(loser) {
		this._loser = loser;
	}
	getLoser() {
		return this._loser;
	}
	getText() {
		return this._text;
	}
	addText(text,mergeable) {
		if (mergeable === undefined) { mergeable = true; }
		if (mergeable && this._text.length > 0 && text.length+this._text[this._text.length-1].length < 100) {
			this._text[this._text.length-1] = this._text[this._text.length-1] + " " + text;
		} else {
			this._text.push(text);
		}
	}
}
